Subject: bug#48073: 27.2; [Eglot] Don't bind `completion-styles' buffer locally?

From: Stefan Monnier <[email-masked]>
Date: Tue, 27 Apr 2021 19:13:42 -0400

>> There's no real notion of "point to", but it can use a completion-table
>> whose `category` says `eglot` and then use a corresponding entry in
>> `completion-category-defaults`, yes.
>
> Cool, that's exactly what I meant "point to".   And should
> `completion-category-defaults` be affected globally, or buffer-locally?
> (the table will only ever be useful in Eglot-managed buffers)

I think you can just do it globally when loading Eglot (assuming you use
a category name that "belongs to Eglot").

>> And those rare users who don't like `flex` (or who want the new
>> `mind-reader` completion style instead) can override it in their
>> `completion-category-overrides`.
> Great but you forgot the patch for the mind-reader completion style.

I still have some bootstrapping problems with it, sorry.

        Stefan